<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=emulateIE7" />
    <title>Coverage for application/api_client.py: 64%</title>
    <link rel="stylesheet" href="style.css" type="text/css">
    <script type="text/javascript" src="jquery.min.js"></script>
    <script type="text/javascript" src="jquery.hotkeys.js"></script>
    <script type="text/javascript" src="jquery.isonscreen.js"></script>
    <script type="text/javascript" src="coverage_html.js"></script>
    <script type="text/javascript">
        jQuery(document).ready(coverage.pyfile_ready);
    </script>
</head>
<body class="pyfile">
<div id="header">
    <div class="content">
        <h1>Coverage for <b>application/api_client.py</b> :
            <span class="pc_cov">64%</span>
        </h1>
        <img id="keyboard_icon" src="keybd_closed.png" alt="Show keyboard shortcuts" />
        <h2 class="stats">
            53 statements &nbsp;
            <span class="run shortkey_r button_toggle_run">34 run</span>
            <span class="mis show_mis shortkey_m button_toggle_mis">19 missing</span>
            <span class="exc show_exc shortkey_x button_toggle_exc">0 excluded</span>
        </h2>
    </div>
</div>
<div class="help_panel">
    <img id="panel_icon" src="keybd_open.png" alt="Hide keyboard shortcuts" />
    <p class="legend">Hot-keys on this page</p>
    <div>
    <p class="keyhelp">
        <span class="key">r</span>
        <span class="key">m</span>
        <span class="key">x</span>
        <span class="key">p</span> &nbsp; toggle line displays
    </p>
    <p class="keyhelp">
        <span class="key">j</span>
        <span class="key">k</span> &nbsp; next/prev highlighted chunk
    </p>
    <p class="keyhelp">
        <span class="key">0</span> &nbsp; (zero) top of page
    </p>
    <p class="keyhelp">
        <span class="key">1</span> &nbsp; (one) first highlighted chunk
    </p>
    </div>
</div>
<div id="source">
    <p id="t1" class="run"><span class="n"><a href="#t1">1</a></span><span class="t"><span class="key">import</span> <span class="nam">requests</span>&nbsp;</span><span class="r"></span></p>
    <p id="t2" class="run"><span class="n"><a href="#t2">2</a></span><span class="t"><span class="key">import</span> <span class="nam">json</span>&nbsp;</span><span class="r"></span></p>
    <p id="t3" class="run"><span class="n"><a href="#t3">3</a></span><span class="t"><span class="key">from</span> <span class="nam">os</span> <span class="key">import</span> <span class="nam">environ</span>&nbsp;</span><span class="r"></span></p>
    <p id="t4" class="run"><span class="n"><a href="#t4">4</a></span><span class="t"><span class="key">from</span> <span class="nam">utils</span><span class="op">.</span><span class="nam">config</span> <span class="key">import</span> <span class="nam">DevelopmentConfig</span> <span class="key">as</span> <span class="nam">Config</span>&nbsp;</span><span class="r"></span></p>
    <p id="t5" class="run"><span class="n"><a href="#t5">5</a></span><span class="t"><span class="key">from</span> <span class="nam">utils</span><span class="op">.</span><span class="nam">BLConsul</span> <span class="key">import</span> <span class="nam">BLConsul</span>&nbsp;</span><span class="r"></span></p>
    <p id="t6" class="pln"><span class="n"><a href="#t6">6</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t7" class="pln"><span class="n"><a href="#t7">7</a></span><span class="t"><span class="com"># Only needed for developing, on production Docker .env file is used</span>&nbsp;</span><span class="r"></span></p>
    <p id="t8" class="pln"><span class="n"><a href="#t8">8</a></span><span class="t"><span class="com"># load_dotenv()</span>&nbsp;</span><span class="r"></span></p>
    <p id="t9" class="pln"><span class="n"><a href="#t9">9</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t10" class="run"><span class="n"><a href="#t10">10</a></span><span class="t"><span class="nam">headers</span> <span class="op">=</span> <span class="op">{</span><span class="str">"Content-type"</span><span class="op">:</span> <span class="str">"application/json"</span><span class="op">}</span>&nbsp;</span><span class="r"></span></p>
    <p id="t11" class="run"><span class="n"><a href="#t11">11</a></span><span class="t"><span class="nam">config</span> <span class="op">=</span> <span class="nam">Config</span><span class="op">.</span><span class="nam">get_instance</span><span class="op">(</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t12" class="run"><span class="n"><a href="#t12">12</a></span><span class="t"><span class="nam">bl_consul</span> <span class="op">=</span> <span class="nam">BLConsul</span><span class="op">.</span><span class="nam">get_instance</span><span class="op">(</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t13" class="pln"><span class="n"><a href="#t13">13</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t14" class="pln"><span class="n"><a href="#t14">14</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t15" class="run"><span class="n"><a href="#t15">15</a></span><span class="t"><span class="key">def</span> <span class="nam">request_payment</span><span class="op">(</span><span class="nam">balance</span><span class="op">,</span> <span class="nam">client_id</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t16" class="mis show_mis"><span class="n"><a href="#t16">16</a></span><span class="t">    <span class="nam">payment_data</span> <span class="op">=</span> <span class="op">{</span><span class="str">"balance"</span><span class="op">:</span> <span class="nam">balance</span><span class="op">}</span>&nbsp;</span><span class="r"></span></p>
    <p id="t17" class="pln"><span class="n"><a href="#t17">17</a></span><span class="t">    <span class="com"># payment_response = requests.put(url=environ.get("PAYMENT_IP") + "/payment/" + str(client_id),</span>&nbsp;</span><span class="r"></span></p>
    <p id="t18" class="pln"><span class="n"><a href="#t18">18</a></span><span class="t">    <span class="com">#                                 data=json.dumps(payment_data),</span>&nbsp;</span><span class="r"></span></p>
    <p id="t19" class="pln"><span class="n"><a href="#t19">19</a></span><span class="t">    <span class="com">#                                 headers=headers,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t20" class="pln"><span class="n"><a href="#t20">20</a></span><span class="t">    <span class="com">#                                 verify=False)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t21" class="mis show_mis"><span class="n"><a href="#t21">21</a></span><span class="t">    <span class="nam">payment_response</span> <span class="op">=</span> <span class="nam">requests</span><span class="op">.</span><span class="nam">put</span><span class="op">(</span>&nbsp;</span><span class="r"></span></p>
    <p id="t22" class="pln"><span class="n"><a href="#t22">22</a></span><span class="t">        <span class="nam">url</span><span class="op">=</span><span class="str">"https://"</span>&nbsp;</span><span class="r"></span></p>
    <p id="t23" class="pln"><span class="n"><a href="#t23">23</a></span><span class="t">        <span class="op">+</span> <span class="nam">environ</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">"HAPROXY_IP"</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t24" class="pln"><span class="n"><a href="#t24">24</a></span><span class="t">        <span class="op">+</span> <span class="str">":"</span>&nbsp;</span><span class="r"></span></p>
    <p id="t25" class="pln"><span class="n"><a href="#t25">25</a></span><span class="t">        <span class="op">+</span> <span class="nam">environ</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">"HAPROXY_PORT"</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t26" class="pln"><span class="n"><a href="#t26">26</a></span><span class="t">        <span class="op">+</span> <span class="str">"/payment/"</span>&nbsp;</span><span class="r"></span></p>
    <p id="t27" class="pln"><span class="n"><a href="#t27">27</a></span><span class="t">        <span class="op">+</span> <span class="nam">str</span><span class="op">(</span><span class="nam">client_id</span><span class="op">)</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t28" class="pln"><span class="n"><a href="#t28">28</a></span><span class="t">        <span class="nam">data</span><span class="op">=</span><span class="nam">json</span><span class="op">.</span><span class="nam">dumps</span><span class="op">(</span><span class="nam">payment_data</span><span class="op">)</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t29" class="pln"><span class="n"><a href="#t29">29</a></span><span class="t">        <span class="nam">headers</span><span class="op">=</span><span class="nam">headers</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t30" class="pln"><span class="n"><a href="#t30">30</a></span><span class="t">        <span class="nam">verify</span><span class="op">=</span><span class="nam">environ</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">"API_CA_LOCATION"</span><span class="op">)</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t31" class="pln"><span class="n"><a href="#t31">31</a></span><span class="t">    <span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t32" class="pln"><span class="n"><a href="#t32">32</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t33" class="mis show_mis"><span class="n"><a href="#t33">33</a></span><span class="t">    <span class="key">return</span> <span class="nam">payment_response</span>&nbsp;</span><span class="r"></span></p>
    <p id="t34" class="pln"><span class="n"><a href="#t34">34</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t35" class="pln"><span class="n"><a href="#t35">35</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t36" class="run"><span class="n"><a href="#t36">36</a></span><span class="t"><span class="key">def</span> <span class="nam">create_piece</span><span class="op">(</span><span class="nam">order_id</span><span class="op">,</span> <span class="nam">piece_id</span><span class="op">,</span> <span class="nam">status</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t37" class="mis show_mis"><span class="n"><a href="#t37">37</a></span><span class="t">    <span class="nam">machine_data</span> <span class="op">=</span> <span class="op">{</span><span class="str">"order_id"</span><span class="op">:</span> <span class="nam">order_id</span><span class="op">,</span> <span class="str">"piece_id"</span><span class="op">:</span> <span class="nam">piece_id</span><span class="op">,</span> <span class="str">"status"</span><span class="op">:</span> <span class="nam">status</span><span class="op">}</span>&nbsp;</span><span class="r"></span></p>
    <p id="t38" class="pln"><span class="n"><a href="#t38">38</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t39" class="pln"><span class="n"><a href="#t39">39</a></span><span class="t">    <span class="com"># machine_response = requests.post(url=environ.get("MACHINE_IP") + "/machine/manufacture",</span>&nbsp;</span><span class="r"></span></p>
    <p id="t40" class="pln"><span class="n"><a href="#t40">40</a></span><span class="t">    <span class="com">#                                 data=json.dumps(machine_data),</span>&nbsp;</span><span class="r"></span></p>
    <p id="t41" class="pln"><span class="n"><a href="#t41">41</a></span><span class="t">    <span class="com">#                                 headers=headers,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t42" class="pln"><span class="n"><a href="#t42">42</a></span><span class="t">    <span class="com">#                                 verify=False)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t43" class="mis show_mis"><span class="n"><a href="#t43">43</a></span><span class="t">    <span class="nam">machine_response</span> <span class="op">=</span> <span class="nam">requests</span><span class="op">.</span><span class="nam">post</span><span class="op">(</span>&nbsp;</span><span class="r"></span></p>
    <p id="t44" class="pln"><span class="n"><a href="#t44">44</a></span><span class="t">        <span class="nam">url</span><span class="op">=</span><span class="str">"https://"</span>&nbsp;</span><span class="r"></span></p>
    <p id="t45" class="pln"><span class="n"><a href="#t45">45</a></span><span class="t">        <span class="op">+</span> <span class="nam">environ</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">"HAPROXY_IP"</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t46" class="pln"><span class="n"><a href="#t46">46</a></span><span class="t">        <span class="op">+</span> <span class="str">":"</span>&nbsp;</span><span class="r"></span></p>
    <p id="t47" class="pln"><span class="n"><a href="#t47">47</a></span><span class="t">        <span class="op">+</span> <span class="nam">environ</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">"HAPROXY_PORT"</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t48" class="pln"><span class="n"><a href="#t48">48</a></span><span class="t">        <span class="op">+</span> <span class="str">"/machine/manufacture"</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t49" class="pln"><span class="n"><a href="#t49">49</a></span><span class="t">        <span class="nam">data</span><span class="op">=</span><span class="nam">json</span><span class="op">.</span><span class="nam">dumps</span><span class="op">(</span><span class="nam">machine_data</span><span class="op">)</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t50" class="pln"><span class="n"><a href="#t50">50</a></span><span class="t">        <span class="nam">headers</span><span class="op">=</span><span class="nam">headers</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t51" class="pln"><span class="n"><a href="#t51">51</a></span><span class="t">        <span class="nam">verify</span><span class="op">=</span><span class="nam">environ</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">"API_CA_LOCATION"</span><span class="op">)</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t52" class="pln"><span class="n"><a href="#t52">52</a></span><span class="t">    <span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t53" class="mis show_mis"><span class="n"><a href="#t53">53</a></span><span class="t">    <span class="key">return</span> <span class="nam">machine_response</span>&nbsp;</span><span class="r"></span></p>
    <p id="t54" class="pln"><span class="n"><a href="#t54">54</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t55" class="pln"><span class="n"><a href="#t55">55</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t56" class="run"><span class="n"><a href="#t56">56</a></span><span class="t"><span class="key">def</span> <span class="nam">create_delivery</span><span class="op">(</span><span class="nam">order_id</span><span class="op">,</span> <span class="nam">user_id</span><span class="op">,</span> <span class="nam">address</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t57" class="mis show_mis"><span class="n"><a href="#t57">57</a></span><span class="t">    <span class="nam">delivery_data</span> <span class="op">=</span> <span class="op">{</span><span class="str">"address"</span><span class="op">:</span> <span class="nam">address</span><span class="op">,</span> <span class="str">"user_id"</span><span class="op">:</span> <span class="nam">user_id</span><span class="op">,</span> <span class="str">"order_id"</span><span class="op">:</span> <span class="nam">order_id</span><span class="op">}</span>&nbsp;</span><span class="r"></span></p>
    <p id="t58" class="pln"><span class="n"><a href="#t58">58</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t59" class="pln"><span class="n"><a href="#t59">59</a></span><span class="t">    <span class="com"># delivery_response = requests.post(url=environ.get("DELIVERY_IP") + "/delivery",</span>&nbsp;</span><span class="r"></span></p>
    <p id="t60" class="pln"><span class="n"><a href="#t60">60</a></span><span class="t">    <span class="com">#                                   data=json.dumps(delivery_data),</span>&nbsp;</span><span class="r"></span></p>
    <p id="t61" class="pln"><span class="n"><a href="#t61">61</a></span><span class="t">    <span class="com">#                                   headers=headers,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t62" class="pln"><span class="n"><a href="#t62">62</a></span><span class="t">    <span class="com">#                                   verify=False)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t63" class="mis show_mis"><span class="n"><a href="#t63">63</a></span><span class="t">    <span class="nam">delivery_response</span> <span class="op">=</span> <span class="nam">requests</span><span class="op">.</span><span class="nam">post</span><span class="op">(</span>&nbsp;</span><span class="r"></span></p>
    <p id="t64" class="pln"><span class="n"><a href="#t64">64</a></span><span class="t">        <span class="nam">url</span><span class="op">=</span><span class="str">"https://"</span>&nbsp;</span><span class="r"></span></p>
    <p id="t65" class="pln"><span class="n"><a href="#t65">65</a></span><span class="t">        <span class="op">+</span> <span class="nam">environ</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">"HAPROXY_IP"</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t66" class="pln"><span class="n"><a href="#t66">66</a></span><span class="t">        <span class="op">+</span> <span class="str">":"</span>&nbsp;</span><span class="r"></span></p>
    <p id="t67" class="pln"><span class="n"><a href="#t67">67</a></span><span class="t">        <span class="op">+</span> <span class="nam">environ</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">"HAPROXY_PORT"</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t68" class="pln"><span class="n"><a href="#t68">68</a></span><span class="t">        <span class="op">+</span> <span class="str">"/delivery"</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t69" class="pln"><span class="n"><a href="#t69">69</a></span><span class="t">        <span class="nam">data</span><span class="op">=</span><span class="nam">json</span><span class="op">.</span><span class="nam">dumps</span><span class="op">(</span><span class="nam">delivery_data</span><span class="op">)</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t70" class="pln"><span class="n"><a href="#t70">70</a></span><span class="t">        <span class="nam">headers</span><span class="op">=</span><span class="nam">headers</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t71" class="pln"><span class="n"><a href="#t71">71</a></span><span class="t">        <span class="nam">verify</span><span class="op">=</span><span class="nam">environ</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">"API_CA_LOCATION"</span><span class="op">)</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t72" class="pln"><span class="n"><a href="#t72">72</a></span><span class="t">    <span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t73" class="mis show_mis"><span class="n"><a href="#t73">73</a></span><span class="t">    <span class="key">return</span> <span class="nam">delivery_response</span>&nbsp;</span><span class="r"></span></p>
    <p id="t74" class="pln"><span class="n"><a href="#t74">74</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t75" class="pln"><span class="n"><a href="#t75">75</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t76" class="run"><span class="n"><a href="#t76">76</a></span><span class="t"><span class="key">def</span> <span class="nam">update_delivery_status</span><span class="op">(</span><span class="nam">delivery_id</span><span class="op">,</span> <span class="nam">status</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t77" class="mis show_mis"><span class="n"><a href="#t77">77</a></span><span class="t">    <span class="nam">delivery_data</span> <span class="op">=</span> <span class="op">{</span><span class="str">"status"</span><span class="op">:</span> <span class="nam">status</span><span class="op">}</span>&nbsp;</span><span class="r"></span></p>
    <p id="t78" class="pln"><span class="n"><a href="#t78">78</a></span><span class="t">    <span class="com"># delivery_response = requests.put(url=environ.get("DELIVERY_IP") + "/delivery/" + str(delivery_id),</span>&nbsp;</span><span class="r"></span></p>
    <p id="t79" class="pln"><span class="n"><a href="#t79">79</a></span><span class="t">    <span class="com">#                                  data=json.dumps(delivery_data),</span>&nbsp;</span><span class="r"></span></p>
    <p id="t80" class="pln"><span class="n"><a href="#t80">80</a></span><span class="t">    <span class="com">#                                  headers=headers,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t81" class="pln"><span class="n"><a href="#t81">81</a></span><span class="t">    <span class="com">#                                  verify=False)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t82" class="pln"><span class="n"><a href="#t82">82</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t83" class="mis show_mis"><span class="n"><a href="#t83">83</a></span><span class="t">    <span class="nam">delivery_response</span> <span class="op">=</span> <span class="nam">requests</span><span class="op">.</span><span class="nam">put</span><span class="op">(</span>&nbsp;</span><span class="r"></span></p>
    <p id="t84" class="pln"><span class="n"><a href="#t84">84</a></span><span class="t">        <span class="nam">url</span><span class="op">=</span><span class="str">"https://"</span>&nbsp;</span><span class="r"></span></p>
    <p id="t85" class="pln"><span class="n"><a href="#t85">85</a></span><span class="t">        <span class="op">+</span> <span class="nam">environ</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">"HAPROXY_IP"</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t86" class="pln"><span class="n"><a href="#t86">86</a></span><span class="t">        <span class="op">+</span> <span class="str">":"</span>&nbsp;</span><span class="r"></span></p>
    <p id="t87" class="pln"><span class="n"><a href="#t87">87</a></span><span class="t">        <span class="op">+</span> <span class="nam">environ</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">"HAPROXY_PORT"</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t88" class="pln"><span class="n"><a href="#t88">88</a></span><span class="t">        <span class="op">+</span> <span class="str">"/delivery/"</span>&nbsp;</span><span class="r"></span></p>
    <p id="t89" class="pln"><span class="n"><a href="#t89">89</a></span><span class="t">        <span class="op">+</span> <span class="nam">str</span><span class="op">(</span><span class="nam">delivery_id</span><span class="op">)</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t90" class="pln"><span class="n"><a href="#t90">90</a></span><span class="t">        <span class="nam">data</span><span class="op">=</span><span class="nam">json</span><span class="op">.</span><span class="nam">dumps</span><span class="op">(</span><span class="nam">delivery_data</span><span class="op">)</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t91" class="pln"><span class="n"><a href="#t91">91</a></span><span class="t">        <span class="nam">headers</span><span class="op">=</span><span class="nam">headers</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t92" class="pln"><span class="n"><a href="#t92">92</a></span><span class="t">        <span class="nam">verify</span><span class="op">=</span><span class="nam">environ</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">"API_CA_LOCATION"</span><span class="op">)</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t93" class="pln"><span class="n"><a href="#t93">93</a></span><span class="t">    <span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t94" class="mis show_mis"><span class="n"><a href="#t94">94</a></span><span class="t">    <span class="key">return</span> <span class="nam">delivery_response</span>&nbsp;</span><span class="r"></span></p>
    <p id="t95" class="pln"><span class="n"><a href="#t95">95</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t96" class="pln"><span class="n"><a href="#t96">96</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t97" class="run"><span class="n"><a href="#t97">97</a></span><span class="t"><span class="key">def</span> <span class="nam">get_delivery_id</span><span class="op">(</span><span class="nam">order_id</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t98" class="pln"><span class="n"><a href="#t98">98</a></span><span class="t">    <span class="com"># delivery_response = requests.get(url=environ.get("DELIVERY_IP") + "/delivery/order/" + str(order_id),</span>&nbsp;</span><span class="r"></span></p>
    <p id="t99" class="pln"><span class="n"><a href="#t99">99</a></span><span class="t">    <span class="com">#                                  verify=False)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t100" class="mis show_mis"><span class="n"><a href="#t100">100</a></span><span class="t">    <span class="nam">delivery_response</span> <span class="op">=</span> <span class="nam">requests</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span>&nbsp;</span><span class="r"></span></p>
    <p id="t101" class="pln"><span class="n"><a href="#t101">101</a></span><span class="t">        <span class="nam">url</span><span class="op">=</span><span class="str">"https://"</span>&nbsp;</span><span class="r"></span></p>
    <p id="t102" class="pln"><span class="n"><a href="#t102">102</a></span><span class="t">        <span class="op">+</span> <span class="nam">environ</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">"HAPROXY_IP"</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t103" class="pln"><span class="n"><a href="#t103">103</a></span><span class="t">        <span class="op">+</span> <span class="str">":"</span>&nbsp;</span><span class="r"></span></p>
    <p id="t104" class="pln"><span class="n"><a href="#t104">104</a></span><span class="t">        <span class="op">+</span> <span class="nam">environ</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">"HAPROXY_PORT"</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t105" class="pln"><span class="n"><a href="#t105">105</a></span><span class="t">        <span class="op">+</span> <span class="str">"/delivery/order/"</span>&nbsp;</span><span class="r"></span></p>
    <p id="t106" class="pln"><span class="n"><a href="#t106">106</a></span><span class="t">        <span class="op">+</span> <span class="nam">str</span><span class="op">(</span><span class="nam">order_id</span><span class="op">)</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t107" class="pln"><span class="n"><a href="#t107">107</a></span><span class="t">        <span class="nam">verify</span><span class="op">=</span><span class="nam">environ</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="str">"API_CA_LOCATION"</span><span class="op">)</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t108" class="pln"><span class="n"><a href="#t108">108</a></span><span class="t">    <span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t109" class="mis show_mis"><span class="n"><a href="#t109">109</a></span><span class="t">    <span class="key">return</span> <span class="nam">delivery_response</span><span class="op">.</span><span class="nam">json</span><span class="op">(</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t110" class="pln"><span class="n"><a href="#t110">110</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t111" class="pln"><span class="n"><a href="#t111">111</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t112" class="run"><span class="n"><a href="#t112">112</a></span><span class="t"><span class="key">def</span> <span class="nam">get_auth_public_key</span><span class="op">(</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t113" class="run"><span class="n"><a href="#t113">113</a></span><span class="t">    <span class="nam">ret_message</span><span class="op">,</span> <span class="nam">status_code</span> <span class="op">=</span> <span class="nam">external_service_response</span><span class="op">(</span><span class="str">"auth"</span><span class="op">,</span> <span class="str">"publickey"</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t114" class="run"><span class="n"><a href="#t114">114</a></span><span class="t">    <span class="key">if</span> <span class="nam">status_code</span> <span class="op">!=</span> <span class="num">200</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t115" class="mis show_mis"><span class="n"><a href="#t115">115</a></span><span class="t">        <span class="key">return</span> <span class="key">None</span>&nbsp;</span><span class="r"></span></p>
    <p id="t116" class="run"><span class="n"><a href="#t116">116</a></span><span class="t">    <span class="nam">json_tree</span> <span class="op">=</span> <span class="nam">json</span><span class="op">.</span><span class="nam">loads</span><span class="op">(</span><span class="nam">ret_message</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t117" class="run"><span class="n"><a href="#t117">117</a></span><span class="t">    <span class="nam">resp</span> <span class="op">=</span> <span class="nam">json_tree</span><span class="op">[</span><span class="str">"response"</span><span class="op">]</span>&nbsp;</span><span class="r"></span></p>
    <p id="t118" class="run"><span class="n"><a href="#t118">118</a></span><span class="t">    <span class="nam">json_tree</span> <span class="op">=</span> <span class="nam">json</span><span class="op">.</span><span class="nam">loads</span><span class="op">(</span><span class="nam">resp</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t119" class="run"><span class="n"><a href="#t119">119</a></span><span class="t">    <span class="key">return</span> <span class="nam">json_tree</span>&nbsp;</span><span class="r"></span></p>
    <p id="t120" class="pln"><span class="n"><a href="#t120">120</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t121" class="pln"><span class="n"><a href="#t121">121</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t122" class="run"><span class="n"><a href="#t122">122</a></span><span class="t"><span class="key">def</span> <span class="nam">external_service_response</span><span class="op">(</span><span class="nam">external_service_name</span><span class="op">,</span> <span class="nam">path</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t123" class="run"><span class="n"><a href="#t123">123</a></span><span class="t">    <span class="nam">service</span> <span class="op">=</span> <span class="nam">bl_consul</span><span class="op">.</span><span class="nam">get_service</span><span class="op">(</span><span class="nam">external_service_name</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t124" class="run"><span class="n"><a href="#t124">124</a></span><span class="t">    <span class="nam">service</span><span class="op">[</span><span class="str">"Name"</span><span class="op">]</span> <span class="op">=</span> <span class="nam">external_service_name</span>&nbsp;</span><span class="r"></span></p>
    <p id="t125" class="run"><span class="n"><a href="#t125">125</a></span><span class="t">    <span class="key">if</span> <span class="nam">service</span><span class="op">[</span><span class="str">"Address"</span><span class="op">]</span> <span class="key">is</span> <span class="key">None</span> <span class="key">or</span> <span class="nam">service</span><span class="op">[</span><span class="str">"Port"</span><span class="op">]</span> <span class="key">is</span> <span class="key">None</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t126" class="mis show_mis"><span class="n"><a href="#t126">126</a></span><span class="t">        <span class="nam">ret_message</span> <span class="op">=</span> <span class="str">"The service does not exist or there is no healthy replica"</span>&nbsp;</span><span class="r"></span></p>
    <p id="t127" class="mis show_mis"><span class="n"><a href="#t127">127</a></span><span class="t">        <span class="nam">status_code</span> <span class="op">=</span> <span class="num">404</span>&nbsp;</span><span class="r"></span></p>
    <p id="t128" class="pln"><span class="n"><a href="#t128">128</a></span><span class="t">    <span class="key">else</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t129" class="run"><span class="n"><a href="#t129">129</a></span><span class="t">        <span class="nam">service</span><span class="op">[</span><span class="str">"Path"</span><span class="op">]</span> <span class="op">=</span> <span class="nam">path</span>&nbsp;</span><span class="r"></span></p>
    <p id="t130" class="run"><span class="n"><a href="#t130">130</a></span><span class="t">        <span class="nam">ret_message</span><span class="op">,</span> <span class="nam">status_code</span> <span class="op">=</span> <span class="nam">call_external_service</span><span class="op">(</span><span class="nam">service</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t131" class="run"><span class="n"><a href="#t131">131</a></span><span class="t">    <span class="key">return</span> <span class="nam">ret_message</span><span class="op">,</span> <span class="nam">status_code</span>&nbsp;</span><span class="r"></span></p>
    <p id="t132" class="pln"><span class="n"><a href="#t132">132</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t133" class="pln"><span class="n"><a href="#t133">133</a></span><span class="t">&nbsp;</span><span class="r"></span></p>
    <p id="t134" class="run"><span class="n"><a href="#t134">134</a></span><span class="t"><span class="key">def</span> <span class="nam">call_external_service</span><span class="op">(</span><span class="nam">service</span><span class="op">)</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t135" class="run"><span class="n"><a href="#t135">135</a></span><span class="t">    <span class="nam">url</span> <span class="op">=</span> <span class="str">"http://{host}:{port}/{service}/{path}"</span><span class="op">.</span><span class="nam">format</span><span class="op">(</span>&nbsp;</span><span class="r"></span></p>
    <p id="t136" class="pln"><span class="n"><a href="#t136">136</a></span><span class="t">        <span class="nam">host</span><span class="op">=</span><span class="nam">service</span><span class="op">[</span><span class="str">"Address"</span><span class="op">]</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t137" class="pln"><span class="n"><a href="#t137">137</a></span><span class="t">        <span class="nam">port</span><span class="op">=</span><span class="nam">service</span><span class="op">[</span><span class="str">"Port"</span><span class="op">]</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t138" class="pln"><span class="n"><a href="#t138">138</a></span><span class="t">        <span class="nam">service</span><span class="op">=</span><span class="nam">service</span><span class="op">[</span><span class="str">"Name"</span><span class="op">]</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t139" class="pln"><span class="n"><a href="#t139">139</a></span><span class="t">        <span class="nam">path</span><span class="op">=</span><span class="nam">service</span><span class="op">[</span><span class="str">"Path"</span><span class="op">]</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t140" class="pln"><span class="n"><a href="#t140">140</a></span><span class="t">    <span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t141" class="run"><span class="n"><a href="#t141">141</a></span><span class="t">    <span class="nam">response</span> <span class="op">=</span> <span class="nam">requests</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="nam">url</span><span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t142" class="run"><span class="n"><a href="#t142">142</a></span><span class="t">    <span class="key">if</span> <span class="nam">response</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t143" class="run"><span class="n"><a href="#t143">143</a></span><span class="t">        <span class="nam">ret_message</span> <span class="op">=</span> <span class="nam">json</span><span class="op">.</span><span class="nam">dumps</span><span class="op">(</span>&nbsp;</span><span class="r"></span></p>
    <p id="t144" class="pln"><span class="n"><a href="#t144">144</a></span><span class="t">            <span class="op">{</span>&nbsp;</span><span class="r"></span></p>
    <p id="t145" class="pln"><span class="n"><a href="#t145">145</a></span><span class="t">                <span class="str">"caller"</span><span class="op">:</span> <span class="nam">config</span><span class="op">.</span><span class="nam">SERVICE_NAME</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t146" class="pln"><span class="n"><a href="#t146">146</a></span><span class="t">                <span class="str">"callerURL"</span><span class="op">:</span> <span class="str">"{}:{}"</span><span class="op">.</span><span class="nam">format</span><span class="op">(</span><span class="nam">config</span><span class="op">.</span><span class="nam">IP</span><span class="op">,</span> <span class="nam">config</span><span class="op">.</span><span class="nam">PORT</span><span class="op">)</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t147" class="pln"><span class="n"><a href="#t147">147</a></span><span class="t">                <span class="str">"answerer"</span><span class="op">:</span> <span class="nam">service</span><span class="op">[</span><span class="str">"Name"</span><span class="op">]</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t148" class="pln"><span class="n"><a href="#t148">148</a></span><span class="t">                <span class="str">"answererURL"</span><span class="op">:</span> <span class="str">"{}:{}"</span><span class="op">.</span><span class="nam">format</span><span class="op">(</span><span class="nam">service</span><span class="op">[</span><span class="str">"Address"</span><span class="op">]</span><span class="op">,</span> <span class="nam">service</span><span class="op">[</span><span class="str">"Port"</span><span class="op">]</span><span class="op">)</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t149" class="pln"><span class="n"><a href="#t149">149</a></span><span class="t">                <span class="str">"response"</span><span class="op">:</span> <span class="nam">response</span><span class="op">.</span><span class="nam">text</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t150" class="pln"><span class="n"><a href="#t150">150</a></span><span class="t">                <span class="str">"status_code"</span><span class="op">:</span> <span class="nam">response</span><span class="op">.</span><span class="nam">status_code</span><span class="op">,</span>&nbsp;</span><span class="r"></span></p>
    <p id="t151" class="pln"><span class="n"><a href="#t151">151</a></span><span class="t">            <span class="op">}</span>&nbsp;</span><span class="r"></span></p>
    <p id="t152" class="pln"><span class="n"><a href="#t152">152</a></span><span class="t">        <span class="op">)</span>&nbsp;</span><span class="r"></span></p>
    <p id="t153" class="run"><span class="n"><a href="#t153">153</a></span><span class="t">        <span class="nam">status_code</span> <span class="op">=</span> <span class="nam">response</span><span class="op">.</span><span class="nam">status_code</span>&nbsp;</span><span class="r"></span></p>
    <p id="t154" class="pln"><span class="n"><a href="#t154">154</a></span><span class="t">    <span class="key">else</span><span class="op">:</span>&nbsp;</span><span class="r"></span></p>
    <p id="t155" class="mis show_mis"><span class="n"><a href="#t155">155</a></span><span class="t">        <span class="nam">ret_message</span> <span class="op">=</span> <span class="str">"Could not get message"</span>&nbsp;</span><span class="r"></span></p>
    <p id="t156" class="mis show_mis"><span class="n"><a href="#t156">156</a></span><span class="t">        <span class="nam">status_code</span> <span class="op">=</span> <span class="num">500</span>&nbsp;</span><span class="r"></span></p>
    <p id="t157" class="run"><span class="n"><a href="#t157">157</a></span><span class="t">    <span class="key">return</span> <span class="nam">ret_message</span><span class="op">,</span> <span class="nam">status_code</span>&nbsp;</span><span class="r"></span></p>
</div>
<div id="footer">
    <div class="content">
        <p>
            <a class="nav" href="index.html">&#xab; index</a> &nbsp; &nbsp; <a class="nav" href="https://coverage.readthedocs.io">coverage.py v5.0.4</a>,
            created at 2020-03-17 14:37
        </p>
    </div>
</div>
</body>
</html>
